Bug 128066 - (TBd5dba173) TBd5dba173 maindialog.py:530:hydrateIPsec:AttributeError: 'NoneType' object has no attribute 'clear'
TBd5dba173 maindialog.py:530:hydrateIPsec:AttributeError: 'NoneType' object h...
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
noarch Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
: 133112 136366 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-07-16 18:37 EDT by Holger Eilhard
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.3.26-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-16 10:24:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Holger Eilhard 2004-07-16 18:37:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040706 Firefox/0.9.1

Description of problem:
When I try to change to a copied profile system-config-network crashes
Component: system-config-network
Version: 1.3.17
Summary: TBd5dba173 maindialog.py:530:hydrateIPsec:AttributeError:
'NoneType' object has no attribute 'clear'
Traceback (most recent call last):
line 1053, in on_profileMenuItem_activated
line 418, in hydrate
line 530, in hydrateIPsec
AttributeError: 'NoneType' object has no attribute 'clear'

Local variables in innermost frame:
clist: None
self: <netconfpkg.gui.maindialog.mainDialog instance at 0xf6c1df4c>

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Copy a profile
2. Change to the new profile
3. crash
Comment 1 Harald Hoyer 2004-09-22 04:22:10 EDT
*** Bug 133112 has been marked as a duplicate of this bug. ***
Comment 2 Andrew D. Stadler 2004-09-22 13:11:38 EDT
I was the generator of bug # 133112, which turned out to be a
duplicate - sorry about that, didn't mean to waste your time....  I
just wanted to suggest that the summary of this bug be renamed to
something readable like "system-config-network crashes when you change
profiles", or something like that, so you won't get any further
duplicate filings.
Comment 3 Harald Hoyer 2004-10-19 16:22:58 EDT
*** Bug 136366 has been marked as a duplicate of this bug. ***
Comment 4 Matthew Miller 2005-04-26 11:52:14 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.